Bug 821697 - [2.5 File system determinism tips] bdflush(2) is obsolete syscall
[2.5 File system determinism tips] bdflush(2) is obsolete syscall
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Realtime_Tuning_Guide (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity low
: 2.2
: ---
Assigned To: Cheryn Tan
ecs-bugs
:
Depends On:
Blocks: 795209
  Show dependency treegraph
 
Reported: 2012-05-15 07:08 EDT by Kazuo Moriwaka
Modified: 2014-06-18 03:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 22:38:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazuo Moriwaka 2012-05-15 07:08:35 EDT
Description of problem:

bdflush(2) is introduced as related man pages, but this syscall is obsolete and man pages don't say about the situation.

This may cause some useless time in tuning process.  Please remove the reference or add some notes like "this system call is obsolete and calling it is ignored, but this man pages is informative for understanding kernel behaviour."  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

in linux/fs/buffer.c: 
-----------------------------------
/*
 * There are no bdflush tunables left.  But distributions are
 * still running obsolete flush daemons, so we terminate them here.
 *
 * Use of bdflush() is deprecated and will be removed in a future kernel.
 * The `flush-X' kernel threads fully replace bdflush daemons and this call.
 */
SYSCALL_DEFINE2(bdflush, int, func, long, data)
{
-----------------------------------
Comment 3 Cheryn Tan 2012-09-19 22:38:45 EDT
Released for MRG 2.2.

Note You need to log in before you can comment on or make changes to this bug.